Name: @PACKAGE_NAME@
Version: @PACKAGE_VERSION@
Release: 1
Group:   Applications/Engineering

Vendor: L Card
URL: http://www.lcard.ru
License: GPL-2.0+

Source: @PACKAGE_SRC_TAR_NAME@

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: cmake >= 2.6, libltrapi1-devel >= @LTRAPI_MIN_VERSION@
BuildRequires:  gcc-c++

%if 0%{?fedora}  || 0%{?rhel_version} || 0%{?centos_version} || 0%{?scientificlinux_version}
BuildRequires:  qt5-qttools-devel
%endif
%if 0%{?suse_version} 
BuildRequires:  libqt5-qttools-devel
%endif
%if 0%{?mageia}
BuildRequires:  libqt5help-devel
%endif

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?scientificlinux_version}
   %if 0%{?rhel_version} < 800 &&  0%{?centos_version} < 800 &&  0%{?scientificlinux_version} < 800
        #для Qt5 требуется c++11, который отключен по умолчанию в CentOS7
        %define STDFLAG -DFORCE_CXX_STANDARD=11
   %else 
       %define STDFLAG %{nil}
   %endif
%else
    %define STDFLAG %{nil}
%endif



BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)

%if 0%{?suse_version}
BuildRequires: update-desktop-files
%endif

%if 0%{?fedora}
BuildRequires: desktop-file-utils
%endif 

Requires: lboot

Obsoletes: qltrd

Summary: @PRJ_DESCR_EN@

%description 
 This is Qt GUI frontend for ltrd daemon which control L Card
 LTR-Crates. @PACKAGE_NAME@ allows you control crate ethernet
 connection, log level, get crate list, etc.

%global debug_package %{nil}

%prep
#извлечение исходников из архива
%setup

%build

cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr  %{STDFLAG}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# В Leap42 не проходят другие категории для Science кроме Math
%if 0%{?suse_version} == 1315 || 0%{?suse_version} > 1320
%suse_update_desktop_file @PACKAGE_NAME@ Science Math
%endif

%if 0%{?fedora}
desktop-file-validate %{buildroot}/%{_datadir}/applications/@PACKAGE_NAME@.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT



%post
%if 0%{?suse_version} >= 1140
%desktop_database_post
#%icon_theme_cache_post
%endif

#обновляем кеш иконок (как написано в FedoraPackagingGuide)
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :




%postun
%if 0%{?suse_version} >= 1140
%desktop_database_postun
#%icon_theme_cache_postun
%endif

if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%if 0%{?fedora}
%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%endif


%files 
%defattr(0755,root,root)
/usr/bin/@PACKAGE_NAME@
%defattr(-,root,root)
/usr/share/pixmaps/ltr.png
/usr/share/pixmaps/ltr.xpm
/usr/share/applications/@PACKAGE_NAME@.desktop
/usr/share/ltrmanager
